from atomscale import Client
client = Client(api_key="YOUR_API_KEY")
result = client.get_project(project_id="d290f1ee-6c54-4b01-90e6-d701748f0851")
for sample in result.samples:
print(sample.physical_sample_name)
import requests
response = requests.get(
"https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851/physical_samples",
headers={"X-API-KEY": "YOUR_API_KEY"}
)
samples = response.json()
curl "https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851/physical_samples" \
-H "X-API-KEY: YOUR_API_KEY"
[
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "GaAs-001"
},
{
"id": "b2c3d4e5-6789-01bc-defg-2345678901bc",
"name": "GaAs-002"
}
]
Projects
Get Project Samples
List all physical samples associated with a project
GET
/
projects
/
{project_id}
/
physical_samples
from atomscale import Client
client = Client(api_key="YOUR_API_KEY")
result = client.get_project(project_id="d290f1ee-6c54-4b01-90e6-d701748f0851")
for sample in result.samples:
print(sample.physical_sample_name)
import requests
response = requests.get(
"https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851/physical_samples",
headers={"X-API-KEY": "YOUR_API_KEY"}
)
samples = response.json()
curl "https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851/physical_samples" \
-H "X-API-KEY: YOUR_API_KEY"
[
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "GaAs-001"
},
{
"id": "b2c3d4e5-6789-01bc-defg-2345678901bc",
"name": "GaAs-002"
}
]
Returns all physical samples linked to a specific project.
string
required
The UUID of the project
Response
Returns an array of physical sample objects with their ID and name.string
Physical sample UUID
string
Sample name or label
from atomscale import Client
client = Client(api_key="YOUR_API_KEY")
result = client.get_project(project_id="d290f1ee-6c54-4b01-90e6-d701748f0851")
for sample in result.samples:
print(sample.physical_sample_name)
import requests
response = requests.get(
"https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851/physical_samples",
headers={"X-API-KEY": "YOUR_API_KEY"}
)
samples = response.json()
curl "https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851/physical_samples" \
-H "X-API-KEY: YOUR_API_KEY"
[
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "GaAs-001"
},
{
"id": "b2c3d4e5-6789-01bc-defg-2345678901bc",
"name": "GaAs-002"
}
]
⌘I